<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Client Side Demo</title>
    <link rel="stylesheet" type="text/css" href="css/denkmal.css" />
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/Swiper/4.5.1/css/swiper.css" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Swiper/4.5.1/js/swiper.js"></script>
  </head>
  <body style='margin: 0; padding: 0; width: 100%; height: 100%;'>
    <script type="module">
      import init, { Client } from '/pkg/package.js'

      async function run () {
        await init()
        new Client()
      }

      run()
    </script>

    <script>
      let swiper
      function createSwiper () {
        if (swiper) {
          console.log('destroying swiper..')
          swiper.destroy()
        }
        if (document.getElementsByClassName('swiper-container')) {
          console.log('creating swiper..')
          swiper = new Swiper('.swiper-container', {
            keyboard: true,
          })
        }
      }
    </script>

    <script>
      let benchStartStamp
      function benchStart () {
        benchStartStamp = performance.now();
      }
      function benchStop () {
        let duration = performance.now() - benchStartStamp;
        // console.log("Render duration: " + duration + "ms");
        alert("Render duration: " + duration + "ms");
      }
    </script>

    <div id="app_mount"></div>

  </body>
</html>
